<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.2"?>
<plugin>
	<requires>
      <import plugin="org.eclipse.debug.core"/>
      <import plugin="org.eclipse.core.variables"/>
      <import plugin="org.eclipse.core.resources"/>
      <import plugin="org.eclipse.core.runtime"/>
      <import plugin="org.eclipse.core.runtime.compatibility"/>
   </requires>
  
   <extension
         point="org.eclipse.ui.actionSets">
      <actionSet
            description="Initialises the metrics"
            id="ArtistMetrics.actionSet"
            label="Metrics Initialisation Set"
            visible="true">
         <menu
               label="Metrics"
               id="Metrics">
            <separator
                  name="MetricsGroup">
            </separator>
         </menu>
         <action
               class="artistmetrics.actions.MetricsActions"
               disabledIcon="icons/globe_v4.gif"
               enablesFor="!"
               icon="icons/globe_v4.gif"
               id="artistmetrics.actions.MetricsActions"
               label="&amp;Server Mode"
               menubarPath="Metrics/MetricsGroup"
               toolbarPath="MetricsGroup"
               tooltip="Start Server Mode">
         </action>
         <action
               class="artistmetrics.actions.MetricsActionsOffline"
               icon="icons/globe_v1.gif"
               id="artistmetrics.actions.MetricsActionsOffline"
               label="&amp;Offline Mode"
               menubarPath="Metrics/MetricsGroup"
               toolbarPath="MetricsGroup"
               tooltip="Start Offline Mode">
         </action>
         
      </actionSet>
   </extension>
   <extension
         point="org.eclipse.ui.views">
      <category
            name="Artist Metrics"
            id="ArtistMetrics">
      </category>
      <view
            name="Log Changes"
            icon="icons/globe_v1.gif"
            category="ArtistMetrics"
            class="artistmetrics.views.LogChangesGui"
            id="artistmetrics.views.LogChangesGui">
      </view>
   </extension>
   <extension
         point="org.eclipse.ui.perspectiveExtensions">
      <perspectiveExtension
            targetID="org.eclipse.ui.resourcePerspective">
         <view
               ratio="0.5"
               relative="org.eclipse.ui.views.TaskList"
               relationship="right"
               id="artistmetrics.views.LogChangesGui">
         </view>
      </perspectiveExtension>
   </extension>
   
   <extension
         point="org.eclipse.ui.views">
      <category
            name="Artist Metrics"
            id="ArtistMetrics">
      </category>
      <view
            name="Anonymous Message"
            icon="icons/globe_v1.gif"
            category="ArtistMetrics"
            class="artistmetrics.views.AnonymousMessageGui"
            id="artistmetrics.views.AnonymousMessageGui">
      </view>
   </extension>
   <extension
         point="org.eclipse.ui.perspectiveExtensions">
      <perspectiveExtension
            targetID="org.eclipse.ui.resourcePerspective">
         <view
               ratio="0.5"
               relative="org.eclipse.ui.views.TaskList"
               relationship="right"
               id="artistmetrics.views.AnonymousMessageGui">
         </view>
      </perspectiveExtension>
   </extension>
   
      <extension
         point="org.eclipse.ui.views">
      <category
            name="Thumbs Up/Down"
            id="ArtistMetrics">
      </category>
      <view
            name="Thumbs Up/Down"
            icon="icons/globe_v1.gif"
            category="ArtistMetrics"
            class="artistmetrics.views.ThumbsView"
            id="artistmetrics.views.ThumbsView">
      </view>
   </extension>
   <extension
         point="org.eclipse.ui.perspectiveExtensions">
      <perspectiveExtension
            targetID="org.eclipse.ui.resourcePerspective">
         <view
               ratio="0.5"
               relative="org.eclipse.ui.views.TaskList"
               relationship="right"
               id="artistmetrics.views.ThumbsView">
         </view>
      </perspectiveExtension>
   </extension>
   
   <extension
         point="org.eclipse.help.toc">
      <toc
            file="toc.xml"
            primary="true">
      </toc>
      <toc
            file="tocconcepts.xml">
      </toc>
      <toc
            file="tocgettingstarted.xml">
      </toc>
   </extension>

</plugin>

